# Uses of Class
javax.help.JHelpNavigator

Packages that use JHelpNavigator
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.event
Supports event changes in JavaHelp classes.
javax.help.plaf
Supports access to Component UI classes.
javax.help.plaf.basic

## Uses of JHelpNavigator in javax.help

Subclasses of JHelpNavigator in javax.help
Modifier and Type
Class
Description
`class`
`JHelpFavoritesNavigator`
JHelpFavoritesNavigator is a JHelpNavigator for Favorites.
`class`
`JHelpGlossaryNavigator`
JHelpGlossaryNavigator is a JHelpNavigator for a Glossary
`class`
`JHelpIndexNavigator`
JHelpIndexNavigator is a JHelpNavigator for an Index.
`class`
`JHelpSearchNavigator`
A JHelpNavigator for search data.
`class`
`JHelpTOCNavigator`
A JHelpNavigator for a TOC.
Methods in javax.help that return JHelpNavigator
Modifier and Type
Method
Description
`JHelpNavigator`
JHelp.`getCurrentNavigator()`
Methods in javax.help with parameters of type JHelpNavigator
Modifier and Type
Method
Description
`void`
JHelp.`addHelpNavigator(JHelpNavigator navigator)`
A JHelp can have a number of navigators.
`protected void`
DefaultHelpModel.`fireIDChanged(Object source, Map.ID id, URL url, String historyName, JHelpNavigator navigator)`
`void`
JHelp.`removeHelpNavigator(JHelpNavigator navigator)`
Removes a navigator.
`void`
DefaultHelpModel.`setCurrentID(Map.ID ident, String historyName, JHelpNavigator navigator)`
Sets the current ID relative to some HelpSet HelpModelListeners and HelpVisitListeners are notified
`void`
HelpModel.`setCurrentID(Map.ID id, String historyName, JHelpNavigator navigator)`
Sets the current ID relative to some HelpSet HelpModelListeners and HelpVisitListeners are notified
`void`
JHelp.`setCurrentID(Map.ID id, String historyName, JHelpNavigator navigator)`
Visits a given ID.
`void`
JHelp.`setCurrentNavigator(JHelpNavigator navigator)`
Sets the current navigator in the HelpUI.
`void`
DefaultHelpModel.`setCurrentURL(URL url, String historyName, JHelpNavigator navigator)`
Sets the current URL and the name wich will appear in history list.
`void`
HelpModel.`setCurrentURL(URL url, String historyName, JHelpNavigator navigator)`
Sets the current URL and the name wich will appear in history list.
`void`
JHelp.`setCurrentURL(URL url, String historyName, JHelpNavigator navigator)`
Visits a given URL.

## Uses of JHelpNavigator in javax.help.event

Methods in javax.help.event that return JHelpNavigator
Modifier and Type
Method
Description
`JHelpNavigator`
HelpModelEvent.`getNavigator()`
Returns the navigator of this entry
Constructors in javax.help.event with parameters of type JHelpNavigator
Modifier
Constructor
Description
``
`HelpModelEvent(Object source, Map.ID id, URL url, String historyName, JHelpNavigator navigator)`
Represents a change in the JavaHelp in the current ID or URL.

## Uses of JHelpNavigator in javax.help.plaf

Methods in javax.help.plaf that return JHelpNavigator
Modifier and Type
Method
Description
`abstract JHelpNavigator`
HelpUI.`getCurrentNavigator()`
Gets the current Navigator.
Methods in javax.help.plaf with parameters of type JHelpNavigator
Modifier and Type
Method
Description
`abstract void`
HelpUI.`addNavigator(JHelpNavigator nav)`
Adds a Navigator.
`abstract void`
HelpUI.`removeNavigator(JHelpNavigator nav)`
Remove a Navigator.
`abstract void`
HelpUI.`setCurrentNavigator(JHelpNavigator nav)`
Sets the current Navigator.

## Uses of JHelpNavigator in javax.help.plaf.basic

Methods in javax.help.plaf.basic that return JHelpNavigator
Modifier and Type
Method
Description
`JHelpNavigator`
BasicHelpUI.`getCurrentNavigator()`
`protected JHelpNavigator`
BasicGlossaryNavigatorUI.`getHelpNavigator()`
`protected JHelpNavigator`
BasicIndexNavigatorUI.`getHelpNavigator()`
`protected JHelpNavigator`
BasicSearchNavigatorUI.`getHelpNavigator()`
`protected JHelpNavigator`
BasicTOCNavigatorUI.`getHelpNavigator()`
Methods in javax.help.plaf.basic with parameters of type JHelpNavigator
Modifier and Type
Method
Description
`void`
BasicHelpUI.`addNavigator(JHelpNavigator nav)`
`void`
BasicHelpUI.`removeNavigator(JHelpNavigator nav)`
`void`
BasicHelpUI.`setCurrentNavigator(JHelpNavigator nav)`
Sets the current Navigator.